Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.tcpip.ext.webservice
Class TCPIPEXTWSClientApplicationImpl

    java.lang.Object
      com.stc.connector.tcpip.model.webservice.TCPIPWSClientApplicationImpl
          com.stc.connector.tcpip.ext.webservice.TCPIPEXTWSClientApplicationImpl

Direct Known Subclasses:
  TCPIPEXTWSServerApplicationImpl

    public class TCPIPEXTWSClientApplicationImpl

extends TCPIPWSClientApplicationImpl

This class implements the extended TCP/IP client web-services operations.

Version:
  cvs revision: $Revision: 1.3 $ Last Modified: $Date: 2008/04/23 07:18:14 $
Author:
  Harry Liu

Field Summary
`static java.lang.String` | `version`

Fields inherited from class com.stc.connector.tcpip.model.webservice.TCPIPWSClientApplicationImpl
`application, message`

Constructor Summary
`TCPIPEXTWSClientApplicationImpl()` Default constructor.

Method Summary
`protected java.lang.Object` | `commonComein(java.lang.Object container)` Method commonReturn.
`java.lang.Object` | `receiveEnvelopedMsg(java.lang.Object container)`
`java.lang.Object` | `sendEnvelopedMsg(java.lang.Object container)`

Methods inherited from class com.stc.connector.tcpip.model.webservice.TCPIPWSClientApplicationImpl
`closeConnection, commonFault, commonReturn, receive, receiveBytes, receiveString, requestConnection, sendBytes, sendString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### version

    public static final java.lang.String version

See Also:
  Constant Field Values

Constructor Detail

### TCPIPEXTWSClientApplicationImpl

    public TCPIPEXTWSClientApplicationImpl()

  Default constructor.

Method Detail

### commonComein

    protected java.lang.Object commonComein(java.lang.Object container)
                                     throws TCPIPWSException

  Description copied from class: `TCPIPWSClientApplicationImpl`
  Method commonReturn.

  Overrides:
    `commonComein` in class `TCPIPWSClientApplicationImpl`
  Parameters:
    `container` - the container object
  Returns:
    Object
  Throws:
    `TCPIPWSException`
  See Also:
    `TCPIPWSClientApplicationImpl.commonComein(java.lang.Object)`

### receiveEnvelopedMsg

    public java.lang.Object receiveEnvelopedMsg(java.lang.Object container)
                                         throws TCPIPWSException

  Parameters:
    `container` - Container to use
  Returns:
    Object
  Throws:
    `TCPIPWSException`

### sendEnvelopedMsg

    public java.lang.Object sendEnvelopedMsg(java.lang.Object container)
                                      throws TCPIPWSException

  Parameters:
    `container` - Container to use
  Returns:
    Object
  Throws:
    `TCPIPWSException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for TCP/IP HL7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD